Sublime插件包无法安装问题解决

分享封面图

Sublime插件包无法安装了?

背景

前段时间一直发现sublime使用过程中各种包报错说无法更新什么的,起初还以为是那些插件包出问题了,后面发现自己竟然根本无法访问Package Control
当时我很震惊,然后一直忙到最近才有时间来解决这个bug
我不会告诉你我觉得写ACM题目用VScode写起来那个编译运行那里还是有点不爽,所以我又回归了用sublime写ACM题目

正文

遇到问题

打开终端

1
ctrl + `

查看错误
第一个错误

实践分析发现(访问sublime提醒的官网解决方案):

这个网址被墙了,而且网站使用的子匿名域名(看不到)也被墙了

解决方案一:通过一些学习资源(比如校园网,科学上网)开启全局访问一下

解决方案二:

手动下载一个package control管理员在github上维护的包:

package control管理员在github上维护的包

打开链接后,右侧点击Download ZIP:

安装package文件包
把下载下来的包解压,将解压后的文件夹重命名为Package Control, 拷贝到sublime的packages目录下,直接菜单栏Perferences—>Browse Packages. 然后将 Package Control文件夹拷贝进去

然后重新点击菜单栏Perferences,会发现多了Package Settings 和Package Control 这两个菜单,这就说明 Package Control安装成功了。

打开Package Settings—>Package Control —> Settings User

打开package control的user settings

添加"channels":"http://cst.stu.126.net/u/json/cms/channel_v3.json",前面的行尾记得加逗号(这里是使用的镜像索引网站)

解决方案2_更改channels2
2.5 然后就是熟悉的操作Ctrl+Shift+P—>install—>选包

若遇到了新的问题:package版本过旧,也可使用2中的解决方案二来解决问题

sublime新问题

再次访问官网(发现是版本过旧)

解决:
sublime新问题解决方案

Have fun

就是熟悉的操作Ctrl+Shift+P—>install—>选包
然后我装了个golang build来测试,发现成功了
重装packageControl解决问题

参考:
https://packagecontrol.io/docs/troubleshooting
https://blog.csdn.net/wcc27857285/article/details/88368866

本文标题:Sublime插件包无法安装问题解决

文章作者:单林敏

发布时间:2019年05月30日 - 16:15:12

最后更新:2019年10月17日 - 21:44:06

原始链接:https://www.wolfdan.cn/Sublime插件包无法安装问题解决/

许可协议: 署名-非商业性使用-禁止演绎 4.0 国际 转载请保留原文链接及作者。

-------------------本文结束 感谢您的阅读-------------------
0%